rpmsw.h File Reference
I/O » RPM IO API.

Statistics API. More...

`#include <unistd.h>`
`#include <sys/time.h>`
Include dependency graph for rpmsw.h:

Go to the source code of this file.

## Data Structures

struct | rpmsw_s
struct | rpmop_s
| Cumulative statistics for an operation. More...

## Typedefs

typedef unsigned long int | rpmtime_t
typedef struct rpmsw_s * | rpmsw
typedef struct rpmop_s * | rpmop

## Functions

rpmsw | rpmswNow (rpmsw sw)
| Return benchmark time stamp. More...
rpmtime_t | rpmswDiff (rpmsw end, rpmsw begin)
| Return benchmark time stamp difference. More...
rpmtime_t | rpmswInit (void)
| Return benchmark time stamp overhead. More...
int | rpmswEnter (rpmop op, ssize_t rc)
| Enter timed operation. More...
rpmtime_t | rpmswExit (rpmop op, ssize_t rc)
| Exit timed operation. More...
rpmtime_t | rpmswAdd (rpmop to, rpmop from)
| Sum statistic counters. More...
rpmtime_t | rpmswSub (rpmop to, rpmop from)
| Subtract statistic counters. More...

## Detailed Description

Statistics API.

Definition in file rpmsw.h.